package cn.iocoder.yudao.module.reward.controller.app.redeem.vo;

import cn.iocoder.yudao.module.reward.api.reward.dto.RedeemRewardReqVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.validator.constraints.Length;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.Pattern;

@Data
@ApiModel("客户端 - 礼品兑换 req VO")
@EqualsAndHashCode(callSuper = true)
public class AppRedeemRewardReqVO extends RedeemRewardReqVO {
    @ApiModelProperty(value = "手机验证码", required = true, example = "1024")
    @NotBlank(message = "{app.auth.captcha.not.blank}")
    @Length(min = 4, max = 4, message = "{app.auth.captcha.len.err}")
    @Pattern(regexp = "^[0-9]+$", message = "{app.auth.captcha.pattern}")
    private String code;
}
