package cn.iocoder.yudao.module.reward.controller.app.redeem.vo;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Data
@ApiModel("客户端 - 礼品兑换记录列表 resp VO")
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class AppRewardRedeemListRespVO {
    @ApiModelProperty(value = "id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;
    @ApiModelProperty(value = "兑换记录编号")
    private String redemptionNumber;
    @ApiModelProperty(value = "礼品ID")
    private Long rewardCode;
    @ApiModelProperty(value = "礼品名称（中文）")
    private String rewardTitleZh;
    @ApiModelProperty(value = "礼品名称（英文）")
    private String rewardTitleEn;
    @ApiModelProperty(value = "中文礼品图片")
    private String imgZh;
    @ApiModelProperty(value = "英文礼品图片")
    private String imgEn;
    @ApiModelProperty(value = "兑换数量")
    private Integer rewardCount;
    @ApiModelProperty(value = "花费积分")
    private Integer scoreCount;
    @ApiModelProperty(value = "日志时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private Date createTime;
    @ApiModelProperty(value = "兑换状态")
    private Integer status;
    @ApiModelProperty(value = "兑换状态中文")
    private String statusZh;
    @ApiModelProperty(value = "兑换状态英文")
    private String statusEn;
}
