package cn.iocoder.yudao.module.reward.controller.app.reward.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

/**
 * 礼品 Response VO
 *
 * @author 系统管理员
 */
@Data
@ApiModel("客户端 - 礼品 Response VO")
public class AppRewardBackVO {

    @ApiModelProperty(value = "")
    private Long id;

    @ApiModelProperty(value = "礼品ID")
    private String code;

    @ApiModelProperty(value = "中文名称")
    private String titleZh;

    @ApiModelProperty(value = "英文名称")
    private String titleEn;

    //@ApiModelProperty(value = "法文名称")
    //private String titleFr;

    @ApiModelProperty(value = "中文礼品图片")
    private String imgZh;

    @ApiModelProperty(value = "英文礼品图片")
    private String imgEn;

    //@ApiModelProperty(value = "法文礼品图片")
    //private String imgFr;

    @ApiModelProperty(value = "兑换所需积分")
    private Integer pointsRequire;

    @ApiModelProperty(value = "兑换网点id")
    private Integer nodeId;
    @ApiModelProperty(value = "兑换网点中文")
    private String nodeZh;
    @ApiModelProperty(value = "兑换网点英文")
    private String nodeEn;

    @ApiModelProperty(value = "剩余数量")
    private Integer quantityRemain;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "活动开始时间")
    private Date startTime;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "活动结束时间")
    private Date endTime;

    @ApiModelProperty(value = "领取方式（1上门领取，2包邮到家，3邮寄到付）")
    private String pickMethod;
    @ApiModelProperty(value = "领取方式:上门领取")
    private List<PickMethod> pickMethodList = new ArrayList<>();
    @ApiModelProperty(value = "允许兑换次数")
    private Integer allowCount;

    @Data
    public static class PickMethod {
        private String value;
        private String labelZh;
        private String labelEn;
    }
}
