package cn.iocoder.yudao.module.reward.convert.reward;

import java.util.*;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.reward.controller.app.reward.vo.AppRewardBackVO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import cn.iocoder.yudao.module.reward.vo.reward.*;
import cn.iocoder.yudao.module.reward.dal.dataobject.reward.RewardDO;

/**
 * 礼品 Convert
 * @author 系统管理员
 */
@Mapper
public interface RewardConvert {
    /*****转换MapStruct*****/
    RewardConvert INSTANCE = Mappers.getMapper(RewardConvert.class);

    /***
     * 创建VO转实体
     * @param bean
     * @return
     */
    RewardDO convert(RewardCreateReqVO bean);

    /***
     * 修改VO转实体
     * @param bean
     * @return
     */
    RewardDO convert(RewardUpdateReqVO bean);

    /***
     * 实体转返回VO
     * @param bean
     * @return
    */
    RewardBackVO convert(RewardDO bean);

    /***
     * 实体转返回VO
     * @param bean
     * @return
     */
    AppRewardBackVO convertAppVO(RewardDO bean);
    /***
     * 实体列表转返回VO列表
     * @param list
     * @return
     */
    List<RewardBackVO> convertList(List<RewardDO> list);

    /***
     * 实体分页转返回分页
     * @param page
     * @return
     */
    PageResult<RewardBackVO> convertPage(PageResult<RewardDO> page);

    /***
     * 更新礼品状态VO转实体
     * @param bean
     * @return
     */
    RewardDO convertStatusReqVO(RewardStatusReqVO bean);

    /***
     * 礼品延期VO转实体
     * @param bean
     * @return
     */
    RewardDO convertDelayReqVO(RewardDelayReqVO bean);
}
