package cn.iocoder.yudao.module.reward.service.redeem;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.service.IService;
import cn.iocoder.yudao.module.reward.controller.app.redeem.vo.AppRewardRedeemListRespVO;
import cn.iocoder.yudao.module.reward.dal.dataobject.redeem.RewardRedeemDO;
import cn.iocoder.yudao.module.reward.vo.reward.*;

import java.util.List;

/**
 * 礼品兑换 Service 接口
 *
 * @author 系统管理员
 */
public interface RewardRedeemService extends IService<RewardRedeemDO> {

    PageResult<RewardRedeemPageRespVO> pageInfo(RewardRedeemPageReqVO reqVO);

    RewardRedeemPageRespVO detail(Long id);

    Boolean updateRecord(RewardRedeemUpdateReqVO request);

    Boolean verify(RewardRedeemVerifyReqVO request);

    Boolean batchVerify(RewardRedeemBatchVerifyReqVO request);

    Boolean verifyBack(List<Long> redeemIds);

    Boolean export(RewardRedeemPageReqVO reqVO);

    List<RewardRedeemPageRespVO> exportList(RewardRedeemPageReqVO request);

    Integer exportCount(RewardRedeemPageReqVO request);

    RecordInfoImportRespVO recordImport(List<RedeemInfoImportExcelVO> dataList);

    Boolean cancel(RewardRedeemIdReqVO req);

    RedeemCancelCheckRespVO cancelCheck(RewardRedeemIdReqVO req);

    List<AppRewardRedeemListRespVO> recordList(Long memberId);
}
