package cn.iocoder.yudao.module.reward.vo.reward;

import com.alibaba.fastjson.JSONArray;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
import java.util.List;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

/**
* 礼品 Base VO，提供给添加、修改、详细的子 VO 使用
* 如果子 VO 存在差异的字段，请不要添加到这里，影响 Swagger 文档生成
*/
@Data
public class RewardBaseVO {

    @ApiModelProperty(value = "礼品ID")
    private String code;

    @ApiModelProperty(value = "中文名称")
    private String titleZh;

    @ApiModelProperty(value = "英文名称")
    private String titleEn;

    @ApiModelProperty(value = "法文名称")
    private String titleFr;

    @ApiModelProperty(value = "中文礼品图片")
    private String imgZh;

    @ApiModelProperty(value = "英文礼品图片")
    private String imgEn;

    @ApiModelProperty(value = "法文礼品图片")
    private String imgFr;

    @ApiModelProperty(value = "兑换所需积分")
    private Integer pointsRequire;

    @ApiModelProperty(value = "兑换网点")
    private Integer nodeId;

    @ApiModelProperty(value = "已兑换次数")
    private Integer exchangeCount;

    @ApiModelProperty(value = "剩余数量")
    private Integer quantityRemain;

    @ApiModelProperty(value = "活动开始时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private Date startTime;

    @ApiModelProperty(value = "活动结束时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private Date endTime;

    @ApiModelProperty(value = "领取方式（1上门领取，2包邮到家，3邮寄到付）")
    private String pickMethod;

    @ApiModelProperty(value = "领取方式（JSON数组）")
    private JSONArray pickMethodList;

    @ApiModelProperty(value = "允许兑换次数")
    private Integer allowCount;

    @ApiModelProperty(value = "中文备注")
    private String remarkZh;

    @ApiModelProperty(value = "英文备注")
    private String remarkEn;

    @ApiModelProperty(value = "法文备注")
    private String remarkFr;

    @ApiModelProperty(value = "礼品状态（1已启用，2未启用，3已关闭，4已过期）")
    private Integer status;

}
