package cn.iocoder.yudao.module.reward.vo.reward;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.constraints.NotNull;
import java.util.Date;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Data
@ApiModel("管理后台 - 礼品延期 VO")
public class RewardDelayReqVO {
    @ApiModelProperty(value = "", required = true)
    @NotNull(message = "不能为空")
    private Long id;

    @ApiModelProperty(value = "活动结束时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @NotNull(message = "结束时间不能为空")
    private Date endTime;
}
