package cn.iocoder.yudao.module.reward.vo.reward;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;
@Data
public class RewardRedeemBaseVO {
    @ApiModelProperty(value = "id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;
    /**
     * 兑换记录编号
     */
    @ApiModelProperty(value = "兑换记录编号")
    private String redemptionNumber;
    /**
     * 会员id
     */
    @ApiModelProperty(value = "会员id")
    private Long memberId;
    /**
     * 礼品id
     */
    @ApiModelProperty(value = "礼品id")
    private Long rewardId;
    /**
     * 兑换状态
     */
    @ApiModelProperty(value = "兑换状态")
    private Integer status;
    /**
     * 兑换数量
     */
    @ApiModelProperty(value = "兑换数量")
    private Integer rewardCount;
    /**
     * 兑换方式
     */
    @ApiModelProperty(value = "兑换方式")
    private Integer redeemType;
    /**
     * 兑换入口
     */
    @ApiModelProperty(value = "兑换入口")
    private Integer entrance;
    /**
     * 费用
     */
    @ApiModelProperty(value = "费用")
    private BigDecimal expenses;
    /**
     * 币种
     */
    @ApiModelProperty(value = "币种")
    private Integer currency;
    /**
     * 收件人姓名
     */
    @ApiModelProperty(value = "收件人姓名")
    private String recipientName;
    /**
     * 收件人电话
     */
    @ApiModelProperty(value = "收件人电话")
    private String recipientPhoneNum;
    /**
     * 收件人地址
     */
    @ApiModelProperty(value = "收件人地址")
    private String recipientAddress;
    /**
     * 兑换人
     */
    @ApiModelProperty(value = "兑换人")
    private String redeemer;
    /**
     * 兑换时间
     */
    @ApiModelProperty(value = "兑换时间")
    private Date redemptionTime;
    /**
     * 快递公司
     */
    @ApiModelProperty(value = "快递公司")
    private Integer courierCompany;
    /**
     * 快递单号
     */
    @ApiModelProperty(value = "快递单号")
    private String expressNo;
    /**
     * 快递日期
     */
    @ApiModelProperty(value = "快递日期")
    private Date expressDate;
    /**
     * 快递寄出人
     */
    @ApiModelProperty(value = "快递寄出人")
    private String expressSender;
    /**
     * 上传附件
     */
    @ApiModelProperty(value = "上传附件")
    private String annex;
    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String remark;
    @ApiModelProperty(value = "创建人id")
    private String creator;
    @ApiModelProperty(value = "创建时间")
    private Date createTime;
    @ApiModelProperty(value = "更新人id")
    private String updater;
    @ApiModelProperty(value = "更新时间")
    private Date updateTime;
    @ApiModelProperty(value = "是否删除")
    private Boolean deleted;
    /**
     * 核销人
     */
    @ApiModelProperty(value = "核销人")
    private String verifyUser;
    /**
     * 核销时间
     */
    @ApiModelProperty(value = "核销时间")
    private Date verifyTime;
}
