package cn.iocoder.yudao.module.reward.vo.reward;

import cn.iocoder.yudao.framework.excel.annotations.DictFormat;
import cn.iocoder.yudao.framework.excel.convert.DictConvert;
import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.converters.bigdecimal.BigDecimalStringConverter;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
public class RewardRedeemRecordExportVO {
    @ExcelProperty("兑换记录ID")
    private String id;
    @ExcelProperty(value = "兑换状态", converter = DictConvert.class)
    @DictFormat("reward_redeem_status")
    private Integer status;
    @ExcelProperty("礼品ID")
    private String rewardCode;
    @ExcelProperty("礼品名称")
    private String rewardTitle;
    @ExcelProperty("会员名称")
    private String memberName;
    @ExcelProperty("兑换数量")
    private Integer rewardCount;
    @ExcelProperty(value = "兑换方式", converter = DictConvert.class)
    @DictFormat("way_of_receiving")
    private Integer redeemType;
    @ExcelProperty(value = "兑换入口", converter = DictConvert.class)
    @DictFormat("platform_type")
    private Integer entrance;
    @ExcelProperty(value = "费用", converter = BigDecimalStringConverter.class)
    private BigDecimal expenses;
    @ExcelProperty("币种名称")
    private String currencyTitle;
    @ExcelProperty(value = "收件人姓名")
    private String recipientName;
    @ExcelProperty(value = "收件人电话")
    private String recipientPhoneNum;
    @ExcelProperty(value = "收件人地址")
    private String recipientAddress;
    @ExcelProperty(value = "兑换人")
    private String redeemer;
    @ExcelProperty(value = "兑换时间")
    private Date redemptionTime;
    @ExcelProperty(value = "快递公司名称")
    private String courierCompanyName;
    @ExcelProperty(value = "快递单号")
    private String expressNo;
    @ExcelProperty(value = "快递日期")
    private Date expressDate;
    @ExcelProperty(value = "快递寄出人")
    private String expressSender;
    @ExcelProperty(value = "备注")
    private String remark;
    @ExcelProperty(value = "核销人")
    private String verifyUser;
    @ExcelProperty(value = "核销时间")
    private Date verifyTime;
    @ExcelProperty(value = "创建人")
    private String creatorName;
    @ExcelProperty(value = "创建时间")
    private Date createTime;
    @ExcelProperty(value = "更新人")
    private String updaterName;
    @ExcelProperty(value = "更新时间")
    private Date updateTime;
}
