package cn.iocoder.yudao.module.reward.vo.reward;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.constraints.Min;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import java.util.Date;
import java.util.List;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@ApiModel("管理后台 - 礼品更新 Request VO")
@Data
@ToString(callSuper = true)
public class RewardUpdateReqVO {

    @ApiModelProperty(value = "", required = true)
    @NotNull(message = "id不能为空")
    private Long id;

    @ApiModelProperty(value = "中文名称")
    @Size(max = 50, message = "名称长度不能超过50")
    private String titleZh;

    @ApiModelProperty(value = "英文名称")
    @Size(max = 50, message = "名称长度不能超过50")
    private String titleEn;

    @ApiModelProperty(value = "法文名称")
    @Size(max = 50, message = "名称长度不能超过50")
    private String titleFr;

    @ApiModelProperty(value = "中文礼品图片")
    private String imgZh;

    @ApiModelProperty(value = "英文礼品图片")
    private String imgEn;

    @ApiModelProperty(value = "法文礼品图片")
    private String imgFr;

    @ApiModelProperty(value = "兑换网点和积分列表", required = true)
    @NotNull(message = "兑换网点列表不能为空")
    private List<RewardCreateReqVO.NodeAndPoints> nodeIds;

    @ApiModelProperty(value = "活动开始时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private Date startTime;

    @ApiModelProperty(value = "活动结束时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private Date endTime;

    @ApiModelProperty(value = "领取方式（1上门领取，2包邮到家，3邮寄到付）")
    private String pickMethod;

    @ApiModelProperty(value = "允许兑换次数")
    @Min(value = 0)
    private Integer allowCount;

    @ApiModelProperty(value = "中文备注")
    @Size(max = 500, message = "中文备注长度不能超过500")
    private String remarkZh;

    @ApiModelProperty(value = "英文备注")
    @Size(max = 500, message = "英文备注长度不能超过500")
    private String remarkEn;

    @ApiModelProperty(value = "法文备注")
    @Size(max = 500, message = "法文备注长度不能超过500")
    private String remarkFr;
}
